View Single Post
  #1  
Old 28th February 2007, 21:51
prude prude is offline
Junior Member
 
Join Date: Feb 2007
Posts: 2
Thanks: 0
Thanked 0 Times in 0 Posts
Default Following "How To Compile A Kernel - The Debian (Sarge) Way" to install 2.6.20.1

Hello,

I am trying to install a version of 2.6.20.1 carefully following every step of the guide http://www.howtoforge.com/kernel_compilation_debian. Every step runs fine up until the step in part2 of the guide where I execute the command "mkinitrd.yaird -o /boot/initrd.img-2.6.20.1-default1 2.6.20.1-default1".

- currently running a 2.6.7 kernel:
Linux globoid 2.6.7 #4 Sun Feb 18 15:42:41 CET 2007 i686 GNU/Linux

- every step of the guide runs without errors until I execute "mkinitrd.yaird -o /boot/initrd.img-2.6.20.1-default1 2.6.20.1-default1". This command exits with the following error:

globoid:/tmp# mkinitrd.yaird -o /boot/initrd.img-2.6.20.1-default1 2.6.20.1-default1
yaird error: Could not read output for /sbin/modprobe -v -n --show-depends --set-version 2.6.20.1-default1 evdev (fatal)

I am quite a newbie to this, so please be patient with me I hope that this guide is also valid for kernel 2.6.20.1
Any idea what I am doing wrong? Any other files or configuration that would be interesting to investigate?

Thanks in advance,
prude
Reply With Quote
Sponsored Links